FOREIGN_AIPS1_READ_DATASET_NAMES(3)

EXPERIMENTAL_FUNC
foreign_aips1_read_dataset_names - Get the names of AIPS1 datasets in the directory catalogue.

SYNOPSIS
#include <karma_foreign.h>

CONST char * foreign_aips1_read_dataset_names

(CONST char *dirname, unsigned int *num_datasets)

DESCRIPTION
This routine will read the "CA*.???;*" catalogue file in the specified directory and extracts the names of the datasets. The "AIPS_ID" environment variable should be set to your AIPS user ID.

dirname
    The directory containing the catalogue file.

num_datasets
    The number of datasets found is written here.

RETURN VALUE
A pointer to a buffer packed with dataset names. Each dataset name is separated by a ' ' character. The buffer is internally allocated and must not be freed. If no datasets are found NULL is returned.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/